## live-build 3.0~a57

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = bin/* frontends/cgi/live-build-cgi frontends/cgi/live-build-cgi.cron functions/* examples/auto/* examples/hooks/* scripts/*.sh scripts/*/* share/bin/* share/hooks/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@echo -n "Checking for bashisms"

	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping bashism test - you need to install devscripts."; \
	fi

	@echo " done."

build:
	@echo "Nothing to build."

install:
	# Installing shared data
	mkdir -p $(DESTDIR)/usr/share/live/build
	cp -r frontends/cgi data functions templates VERSION $(DESTDIR)/usr/share/live/build
	cp -r share/* $(DESTDIR)/usr/share/live/build

	# Installing executables
	mkdir -p $(DESTDIR)/usr/bin
	cp -a bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/lib/live
	cp -a scripts/* $(DESTDIR)/usr/lib/live

	# Installing documentation
	mkdir -p $(DESTDIR)/usr/share/doc/live-build
	cp -r COPYING docs/* examples $(DESTDIR)/usr/share/doc/live-build

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling shared data
	rm -rf $(DESTDIR)/usr/share/live/build
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live > /dev/null 2>&1 || true

	# Uninstalling executables
	rm -f $(DESTDIR)/usr/bin/lb $(DESTDIR)/usr/bin/live-build

	# Uninstalling documentation
	rm -rf $(DESTDIR)/usr/share/doc/live-build

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

clean:

distclean:

reinstall: uninstall install

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be optained from http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-build po4a.cfg

clean:
	rm -f po/*/*.po~

distclean: clean
	rm -f po4a.cfg
	rm -rf $(LANGUAGES)

rebuild: distclean update build

=== debian/changelog ===
live-build (3.0~a57-1ubuntu53) resolute; urgency=medium

  * Add a --bootstrap-arch argument to lb config, to be used for variant
    builds.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 23 Oct 2025 10:53:05 +1300

live-build (3.0~a57-1ubuntu52) plucky; urgency=medium

  * lb_chroot_hacks: fix issue where chmod may fail in the face of broken
    symlinks.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 10 Mar 2025 16:07:02 -0600

live-build (3.0~a57-1ubuntu51) plucky; urgency=medium

  * Further fixes to not use apt-key.
  * General packaging cleanup:
    - Update debhelper-compat to 13, no changes needed.
    - Update Standards-version to 4.7.0, no changes needed.
    - Add various Lintian overrides.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 00:00:06 -0600

live-build (3.0~a57-1ubuntu50) oracular; urgency=medium

  * d/patches/0001-duplicate-aliasesd-diversions-for-DEP17.patch:
    Fix usr-is-merged causes dpkg-divert of some files ineffective.
    LP: #2077603

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Thu, 22 Aug 2024 15:32:31 +0800

live-build (3.0~a57-1ubuntu49) mantic; urgency=medium

  * To avoid removing packaged preferences.d files, in lb_chroot_archives install stage, 
    only remove apt/preferences.d/* files after we backup any existing preferences.d/ files.
    Then during remove stage or lb_chroot_archives restore the backed up packaged 
    preferences.d files. LP: #2033308

 -- Phil Roche <phil.roche@canonical.com>  Tue, 12 Sep 2023 22:36:21 +1200

live-build (3.0~a57-1ubuntu48) mantic; urgency=medium

  * d/patches/umount-sys-properly.patch: fix do_umount to actually unmount the
    passed mountpoint :/.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 30 Aug 2023 08:59:13 +1200

live-build (3.0~a57-1ubuntu47) mantic; urgency=medium

  * d/patches/umount-sys-properly.patch: Unmount any submounts of /sys that
    have appeared since it was mounted.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 29 Aug 2023 20:40:51 +1200

live-build (3.0~a57-1ubuntu46) mantic; urgency=medium

  * debian/patches/ubuntu-kernel-img-conf.patch: drop; kernel-img.conf is
    obsolete and should no longer be created on new images.  LP: #2033110.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Aug 2023 23:18:41 +0000

live-build (3.0~a57-1ubuntu45) mantic; urgency=medium

  * debian/patches/ubuntu-silence-fdisk-noise.patch: silence warning
    when fdisk is not present.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Aug 2023 16:33:03 -0700

live-build (3.0~a57-1ubuntu44) lunar; urgency=medium

  * lb_chroot_apt: Fix removal handling of apt preferences.d files.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2023 19:55:37 +0000

live-build (3.0~a57-1ubuntu43) lunar; urgency=medium

  * scripts/build/lb_binary_memtest:
    - update inspired from Debian #15e78a3e to handle the memtest86+.bin
      naming changes in the newest version of the package

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Nov 2022 21:02:44 +0100

live-build (3.0~a57-1ubuntu41) groovy; urgency=medium

  * Drop bzip2 from bootstrap package set, this is a long-obsolete
    workaround for Debian bug #657560.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Oct 2020 10:09:20 -0700

live-build (3.0~a57-1ubuntu40) groovy; urgency=medium

  * Add GENISOIMAGE_OPTIONS_EXTRA. Make the genisoimage option more flexible.

 -- hugh chao <hugh.chao@canonical.com>  Mon, 18 May 2020 22:49:31 +0800

live-build (3.0~a57-1ubuntu39) groovy; urgency=medium

  * Add riscv64 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 30 Apr 2020 16:10:34 +0100

live-build (3.0~a57-1ubuntu38) eoan; urgency=medium

  * Stop setting LB_INITRAMFS_COMPRESSION default, and instead fallback to
    using initramfs-tools default. LB_INITRAMFS_COMPRESSION is now only to
    override whatever initramfs-tools' default compression is. This thus
    makes live-build default to lz4. LP: #1831736

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Jun 2019 13:34:29 +0100

live-build (3.0~a57-1ubuntu37) disco; urgency=medium

  * Cherrypick Debian's patches for handling binary/chroot includes with
    merged-usr.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Nov 2018 20:11:36 +0000

live-build (3.0~a57-1ubuntu36) cosmic; urgency=medium

  * debian/control: Need to depend on initramfs-tools which isn't in chroots.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 26 Jun 2018 22:39:47 -0600

live-build (3.0~a57-1ubuntu35) cosmic; urgency=medium

  * ubuntu-initramfs-handling.patch: Use initramfs-tools to work with initrds,
    instead of trying to naively repack and unpack them blindly (LP: #1778811)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 26 Jun 2018 16:36:32 -0600

live-build (3.0~a57-1ubuntu34) bionic; urgency=medium

  * Handle late installation of systemd/resolvconf gracefully, by not
    reverting /etc/resolv.conf symlink to a backup of the backup.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 Mar 2018 12:52:26 +0000

live-build (3.0~a57-1ubuntu33) bionic; urgency=medium

  * Stop using apt-key to setup secure apt, and instead copy the gpg key
    snippet.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Mar 2018 11:35:41 +0100

live-build (3.0~a57-1ubuntu32) bionic; urgency=medium

  * Don't force inclusion of gnupg, which is now a metapackage that pulls in
    bits inappropriate for the base system.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Mar 2018 09:11:17 -0800

live-build (3.0~a57-1ubuntu31) artful; urgency=medium

  * Don't fail when initramfs is not used (LP: #1720217)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 28 Sep 2017 18:01:04 +0000

live-build (3.0~a57-1ubuntu30) artful; urgency=medium

  * Drop fix-up code for sysvinit, which has not been essential in Ubuntu in
    a decade.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Aug 2017 22:08:45 -0700

live-build (3.0~a57-1ubuntu29) zesty; urgency=medium



=== debian/control ===
Source: live-build
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: http://live.debian.net/devel/live-build/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-build.git
Vcs-Git: git://live.debian.net/git/live-build.git

Package: live-build
Architecture: all
Depends: ${misc:Depends}, debootstrap | cdebootstrap | cdebootstrap-static, cpio, initramfs-tools
Suggests:
 dosfstools, genisoimage, git, memtest86+ | memtest86, mtools, parted,
 squashfs-tools | mtd-tools, sudo | fakeroot, syslinux | grub,
 uuid-runtime, win32-loader, gnu-fdisk
Breaks: livecd-rootfs (<< 2.75)
Description: Debian Live - System build scripts
 live-build contains the scripts that build a Debian Live system image from a
 configuration directory.

Package: live-build-cgi
Architecture: all
Depends: ${misc:Depends}, live-build (= ${source:Version})
Recommends: apache2 | httpd, cron
Description: Debian Live - System build scripts (CGI frontend)
 live-build contains the scripts that build a Debian Live system image from a
 configuration directory.
 .
 This package contains the CGI frontend.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	chmod +x share/hooks/100-build-wubildr.binary
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/live-build
	chmod +x debian/live-build/usr/lib/live/build/*

	# Removing unused files
	rm -f debian/live-build/usr/share/doc/live-build/COPYING
	rm -f debian/live-build/usr/share/doc/live-build/ChangeLog*

	# live-build-cgi
	mkdir -p debian/live-build-cgi/usr/share/live/build
	mv debian/live-build/usr/share/live/build/cgi debian/live-build-cgi/usr/share/live/build

override_dh_installchangelogs:
	dh_installchangelogs docs/ChangeLog

override_dh_link:
	dh_link

	# workaround dh_link convertion of absolute symlinks to relvative symlinks
	rm -rf debian/live-build/usr/share/live/build/bootloaders
	cp -a share/bootloaders debian/live-build/usr/share/live/build/bootloaders

## live-build 3.0.5

=== manpages/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
-		echo "I: po4a can be optained from http://po4a.alioth.debian.org/"; \
+		echo "I: po4a can be obtained from http://po4a.alioth.debian.org/"; \
 		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
 		exit 1; \
 	fi

=== frontends/cgi/Makefile ===
# Makefile

install:
	install -D -m 0755 live-build-cgi $(DESTDIR)/usr/lib/cgi-bin/live-build
	install -D -m 0755 live-build-cgi.cron $(DESTDIR)/etc/cron.hourly/live-build-cgi
	install -D -m 0644 live-build-cgi.crontab $(DESTDIR)/etc/cron.d/live-build-cgi
	install -D -m 0644 live-build-cgi.default $(DESTDIR)/etc/default/live-build-cgi
	install -D -m 0644 live-build-cgi.logrotate $(DESTDIR)/etc/logrotate.d/live-build-cgi

	install -d -m 0755 $(DESTDIR)/var/log
	touch $(DESTDIR)/var/log/live
	chown www-data:www-data $(DESTDIR)/var/log/live

uninstall:
	rm -f $(DESTDIR)/usr/lib/cgi-bin/live-build
	rm -f $(DESTDIR)/etc/cron.d/live-build-cgi
	rm -f $(DESTDIR)/etc/cron.hourly/live-build-cgi
	rm -f $(DESTDIR)/etc/default/live-build-cgi
	rm -f $(DESTDIR)/etc/logrotate.d/live-build-cgi

reinstall: uninstall install

=== debian/changelog ===
live-build (3.0.5-1) unstable; urgency=low

  * Skipping loadlin inclusion on netboot images.

 -- Daniel Baumann <daniel@debian.org>  Tue, 30 Apr 2013 10:26:09 +0200

live-build (3.0.4-1) unstable; urgency=low

  * Correcting variable typo when setting distribution specific defaults
    of the backports mirror for the binary image.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Apr 2013 12:47:24 +0200

live-build (3.0.3-1) unstable; urgency=low

  * Updating debian-backports mirrors for wheezy.
  * Enabling release updates (formerly known as volatile) for wheezy.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Apr 2013 17:39:31 +0200

live-build (3.0.2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Allowing to use parted its automatic offset handling at the beginning
    of a disk, rather than to harcode it to first block (Closes: #647607).
  * Aborting with error if hdd label has a whitespace (Closes: #648861).
  * Updating d-i suite symlink for wheezy release.
  * Correcting typo in grub2 config template.
  * Synchronise grub and grub2 splashes with internal live-build splash
    for syslinux bootloaders.
  * Removing non-existent --apt-indices none references.
  * Also showing distribution in lb config initial messages.
  * Making messages about reading system conffiles in lb config more
    accurate.
  * Harmonize handling of pre-existing gnupg dotfiles in chroot when
    handling fake signing keys for local repository.
  * Making some more debian source-selections conditional on certain image
    options.
  * Adding source_hooks for hooks on source images like already supported
    on binary images.

  [ Richard Nelson ]
  * Add sanity check on config type to build for l-b-cgi.
  * Add _CGI_CONFIG_APPEND varialbe for appending options to lb config
    call on l-b-cgi frontend.
  * Change _CGI_CONFIG_APPEND to front of the lb config call on l-b-cgi
    frontend.
  * Removing quotes around _CGI_CONFIG_APPEND to handle multiple
    parameters correctly on l-b-cgi frontend.
  * Adding binary image type to config call on l-b-cgi frontend.
  * Add log information of git:://url for l-b-cgi frontend.
  * Append to log file on errors and not truncate the file on l-b-cgi
    frontend.

  [ Daniel Baumann ]
  * Correcting spelling typos, thanks to Adam D. Barratt <adam@adam-
    barratt.org.uk>.

  [ Raphaël Hertzog ]
  * Fixing win32-loader.ini by including the GTK related entries.

  [ Daniel Baumann ]
  * Correcting typo directory when dereferencing syslinux symlinks when
    building chrooted, thanks to Luigi Capriotti <l.capriotti@xbmc.org>.
  * Using dpkg-divert in chroot_upstart script to handle upgrades of
    upstart during the build (Closes: #702537).
  * Using dpkg-divert for other diversions too to handle upgrades of the
    diverted stuff during build.
  * Adding generic live-build handle in chroot_dpkg for other live
    packages to act upon.
  * Updating fallback help message in live-build pseudo-command.
  * Correcting grammer error in live-build description.
  * Adding set -e in example auto scripts.

  [ Richard Nelson ]
  * Converting l-b-cgi frontend to process forms with post.

  [ Daniel Baumann ]
  * Cleaning up installer file locations for progress-linux.
  * Stripping out comments in package lists.
  * Updating derivatives archive-key signature validiation to look by
    default at both debian and debian-maintainers keyrings.
  * Updating bootstrap mirror for progress-linux.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Apr 2013 12:41:54 +0200

live-build (3.0.1-1) unstable; urgency=low

  * Removing superfluous menu default directive in installer syslinux
    menues.
  * Updating wheezy release number.
  * Updating squeeze point-release number.
  * Dropping German manpage translations stubs for the release.

 -- Daniel Baumann <daniel@debian.org>  Thu, 14 Feb 2013 19:31:04 +0100

live-build (3.0.0-1) unstable; urgency=low

  * Updating wheezy pre-release number for b4.
  * Dropping dpkg compression level.
  * Correcting spelling typos in changelog to make lintian happy.
  * Escaping quotes to workaround a false-positive of checkbashisms in
    binary_debian-installer.
  * Correcting install path in loadlins install.bat for the gtk d-i
    flavour.
  * Switching default binary filesystem for hdd images to fat32 to be more
    robust on todays flash devices.
  * Correcting vshift in syslinux themes to correct display bug with
    overlong lines, thanks to Thanatermesis <thanatermesis@gmail.com>.
  * Adding bootrap_archive-keys to establish secure trust-chain on top of
    debian-keyring for derivatives.
  * Updating syslinux configurations and handling for syslinux 5.
  * Adding hook to remove systemd machine-id.
  * Renumbering hooks.
  * Correcting wrong debian-installer syslinux menu files.
  * Including HDT in advanced options menu within syslinux menu.
  * Updating binary_debian-installer for newer append replacement
    variables used in syslinux configs.
  * Dropping theme package support, themes are either in the config tree
    or the embedded one from live-build is used.
  * Correctly remove binary contents and packages file in clean script.
  * Adding key-shortcut for advanced options in syslinux menu.
  * Removing default menu marker for install entry in syslinux menu.
  * Converting splash.svg not just splash.svg.in files as syslinux
    bootsplashes.
  * Removing dropped syslinux-theme config option from lb_config manpage.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Feb 2013 00:18:07 +0100

live-build (3.0~b6-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating manpage year handling for 2013.
  * Updating wheezy beta-release number.
  * Using cat instead of echo to workaround incompatible and conflicting
    uses in escaping of \t in dash and bash, and less importantly to
    workaround a false-positive in checkbashisms.
  * Updating footer link to 'legal information' in cgi html template.
  * Cleaning up binary_loadlin.


=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,8 @@
 %:
 	dh ${@}
 
-override_dh_auto_build:
-	chmod +x share/hooks/100-build-wubildr.binary
-	dh_auto_build
-
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=debian/live-build
-	chmod +x debian/live-build/usr/lib/live/build/*
 
 	# Removing unused files
 	rm -f debian/live-build/usr/share/doc/live-build/COPYING
@@ -18,6 +13,9 @@
 	# live-build-cgi
 	mkdir -p debian/live-build-cgi/usr/share/live/build
 	mv debian/live-build/usr/share/live/build/cgi debian/live-build-cgi/usr/share/live/build
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/ChangeLog

## live-build 4.0.3

=== debian/changelog ===
live-build (4.0.3-1) unstable; urgency=low

  [ Richard Nelson ]
  * Adding cinnamon-desktop to frontend/cgi.

  [ Daniel Baumann ]
  * Updating to standards version 3.9.6.

  [ Richard Nelson ]
  * Correct variable name for apt_indices and adjust sed order for
    population of build feedback on frontend/cgi.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 25 Oct 2014 14:39:03 +0200

live-build (4.0.2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Creating live.list.chroot with live packages in config.

  [ victory ]
  * Fix typos in lb_config.1.
  * Add Japanese translations.

  [ Daniel Baumann ]
  * Making populating of live.chroot.list distribution specific.
  * Making check target in manpages makefile comply with the rest.
  * Dropping incomplete German manpage translations.
  * Dropping syslinux 6 symlinks from bootloader configs for wheezy.
  * Removing source_includes from toplevel source script, it was a python
    stub and will come back at a later point.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 12 Sep 2014 13:42:37 +0200

live-build (4.0.1-1) unstable; urgency=low

  * Dropping leftover testroot call in bootstrap_cdebootstrap and
    bootstrap_debootstrap.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 28 Aug 2014 23:25:52 +0200

live-build (4.0.0-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting wrong target for /etc/mtab symlink in create-mtab-symlink
    hook, thanks to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>.
  * Setting default distribution to jessie.

  [ Ben Armstrong ]
  * Exclude lib and non-main sections as tasksel does (Closes: #758218).

  [ Daniel Baumann ]
  * Moving partial python rewrite to separate branch, let's do it in the
    jessie+1 cycle rather than go with the current mixed code.
  * Restoring old manpages since we're back to the non-python
    implementation (Closes: #745134).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 28 Aug 2014 00:59:45 +0200

live-build (4.0~alpha39-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating isohdpfx handling for syslinux 6.

  [ Richard Nelson ]
  * Include mate-desktop in templates/cgi/debian/form.html

  [ Daniel Baumann ]
  * Enabling syslinux 6 support for jessie as well.
  * Unconditionally replacing bootloader symlinks with syslinux 6 from
    jessie, this will break building wheezy images (so we have to come up
    with something better than that prior upload).
  * Adding second set of bootloader templates for wheezy.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 24 Jul 2014 05:05:17 +0200

live-build (4.0~alpha38-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Also creating source stagefile in source_debian.

  [ Carlos Zuferri ]
  * Adding .po integrity check target to manpages/Makefile.
  * Adding '--package-version' to po4a options.

  [ Daniel Baumann ]
  * Enabling syslinux 6 support for sid.

  [ Kiel Christofferson ]
  * Replace subprocess.call() with subprocess.check_call().

  [ Richard Nelson ]
  * Add --apt option on frontend/cgi.

  [ Daniel Baumann ]
  * Adding symlink for udeb data for jessie.

  [ Simon McVittie ]
  * If /etc/mtab exists as a file, replace it with a symlink (Closes:
    #746570).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 25 Jun 2014 21:04:46 +0200

live-build (4.0~alpha37-1) unstable; urgency=low

  * Updating default boot parameters for live-config 4.x.
  * Adding hook to create /etc/mtab as a symlink to /proc/mtab if not
    already existing (Closes: #746570).
  * Only removing stage files in lb clean --stage and keep .build around
    in order for init to detect initialized config directories properly.
  * Adding wheezy legacy handling for syslinux.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 07 May 2014 07:01:35 +0200

live-build (4.0~alpha36-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Truncate /etc/machine-id instead of deleting it.

  [ Daniel Baumann ]
  * Correcting os.chmod usage in lb init.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Apr 2014 19:50:40 +0200

live-build (4.0~alpha35-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Calling init in build as well when automatically populating a new
    config tree.
  * Switching default debian release to jessie.
  * Allow cache directories to be symlinks as well (Closes: #741934).
  * Cleaning /etc/hosts as in previous live-build versions (Closes:
    #744939).

  [ Simon McVittie ]
  * Add support for making ext[234] or btrfs hdd images bootable with
    extlinux (Closes: #745816)

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 27 Apr 2014 12:39:53 +0200

live-build (4.0~alpha34-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Only automatically do replacements within syslinux configs when they
    are not directories (as they can be in the pxelinux.cfg case), thanks
    to Antony Messerli <amesserl@rackspace.com> (Closes: #745760).
  * Correcting required installer package determination to avoid extra
    packages, thanks to Benjamin Moody <benjamin.moody@gmail.com> (Closes:
    #739729).
  * Failing in lb config when config wasn't initialized first with lb init
    (Closes: #744365).
  * Using cp -a on all non-fat filesystems to copy content into the binary
    image (Closes: #745824).

  [ Simon McVittie ]
  * Run hooks in sorted order (Closes: #745839).

  [ Daniel Baumann ]
  * Dropping superfluous comment about recompression initrd images in
    chroot_hacks.
  * Updating sha1sum for recompressed initrd images (Closes: #745205).
  * Adjusting splash.svg filename in embedded syslinux configurations to
    match code (Closes: #745020).
  * Ensuring correct include directory permissions avoiding tainting of
    target system in lb init.
  * Abort early in installer_preseed if d-i is not included on the image
    (Closes: #745855).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 26 Apr 2014 08:01:22 +0200

live-build (4.0~alpha33-1) unstable; urgency=low

  * Building with dh --parallel.



=== debian/control ===
Source: live-build
Section: misc
Priority: optional
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://live-systems.org/devel/live-build/
Vcs-Browser: http://live-systems.org/gitweb/?p=live-build.git
Vcs-Git: git://live-systems.org/git/live-build.git

Package: live-build
Architecture: all
Depends:
 ${misc:Depends},
 debootstrap | cdebootstrap | cdebootstrap-static,
Recommends:
 cpio,
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
Description: Live System Build Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-build contains the components to build a live system from a configuration
 directory.

Package: live-build-cgi
Architecture: all
Depends: ${misc:Depends}, live-build (= ${source:Version})
Recommends:
 apache2 | httpd,
 cron,
Description: Live System Build Scripts (CGI frontend)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-build contains the components to build a live system from a configuration
 directory.
 .
 This package contains the CGI frontend (experimental!).

## live-build 4.0.4

=== debian/changelog ===
live-build (4.0.4-1.drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Accepting package with version number (#775832).

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 Jan 2015 09:00:35 +0800

live-build (4.0.4-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Applying patch from Gabriele Gristina <gabriele.gristina@gmail.com> to
    fix automated checks for using aptitude.
  * Adding hook to enable cryptsetup (Closes: #767195).
  * Dropping prism2-usb-firmware-installer which fetches firmware from (at
    least) temporarily broken website.

  [ Raphaël Hertzog ]
  * Update linux flavours for armhf/armel.
  * Properly support empty package lists.
  * binary_syslinux: correct the path used to check if the bootloader is
    available.

  [ Daniel Baumann ]
  * Cleaning up from python removal (LIVE_IMAGE_ARCHITECTURE).
  * Cleaning up from python removal (LIVE_IMAGE_ARCHIVE_AREAS).
  * Avoid failing to autocreate live.list.chroot in lb config when using
    --clean, thanks to jnqnfe <jnqnfe@gmail.com> (Closes: #770637).

  [ jnqnfe ]
  * Fix broken calls to Get_conffiles() from Read_conffiles() and
    Print_conffiles() (Closes: #770645).
  * Fix chroot_package-lists script saving to wrong cache (Closes:
    #771002).
  * Fix missing grub2 option in bootloader selection (Closes: #772671).

  [ Daniel Baumann ]
  * Correcting stage name check in chroot_includes, thanks to jnqnfe
    <jnqnfe@gmail.com> (Closes: #771377).
  * Correcting typo in apt.conf.d directory name, thanks to jnqnfe
    <jnqnfe@gmail.com> (Closes: #771392).

  [ jnqnfe ]
  * Fix typo in variable name (LH_LINUX_FLAVOURS instead of
    LB_LINUX_FLAVOURS) in installer_debian-installer script, affecting the
    armel architecture (Closes: #770796).

  [ Daniel Baumann ]
  * Somewhat fixing sysvinit and casper legacy support, slightly improved
    patch from Rui Miguel P. Bernardo <rui.bernardo.pt@gmail.com> (Closes:
    #772522, #772651).
  * Ugly hack to force dbus inclusion when using live-config-systemd
    (Closes: #769635).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 10 Dec 2014 08:23:55 +0100

## live-build 4.0.5

=== debian/changelog ===
live-build (4.0.5-1.drbl2) unstable; urgency=low

  * A better mechanism to deal with live.list.chroot was implemented.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Feb 2015 12:54:41 +0800

live-build (4.0.5-1.drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Accepting package with version number (#775832).
  * Temporarily disable creating live.list.chroot in
    scripts/build/config Because it failed when using
    "lb config --initsystem upstart" after "lb config --mode xxx"
    and also sysvinit-core does not exist on Ubuntu system which
    uses upstart.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 08 Feb 2015 23:20:20 +0800

live-build (4.0.5-1) unstable; urgency=low

  * Cleaning up from python removal (LIVE_IMAGE_PARENT_ARCHIVE_AREAS).
  * Applying slightly modified patch from jnqnfe <jnqnfe@gmail.com> to
    show correct win32-loader ico file on windows (Closes: #772781).
  * Dropping manual include of dbus for live-config-systemd, it's a
    recommends now.
  * Updating d-i bootparameter separator for jessie.
  * Enabling security and release updates for jessie.
  * Correcting typo in stagefile check for includes.chroot.
  * Switching to default to linux-image-586 on i386.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 07 Feb 2015 06:35:15 +0100

## live-build 20161216

=== debian/changelog ===
live-build (1:20161216) unstable; urgency=medium

  * Cleanup binary_loopback_cfg and offer more freedom in overriding
    the default grub-pc configuration.
  * Update the manual page with the missiong --bootappend-live-failsafe
    option.
  * Keep supporting the former --bootloader (without s).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 16 Dec 2016 10:05:26 +0100

live-build (1:20161202) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Officially adopt the package. Closes: #808048
  * Better handle empty package lists.
  * Drop ixp4xx from available armel flavors, the image has been gone since
    linux 3.17.
  * Add symlinks for libgpl.c32 and libmenu.c32 which are required by
    the "Hardware Detection Tool (HDT)" menu entry that live-build adds
    in the advanced menu.
  * Add EFI boot support with grub-efi, thanks to Adrian Gibanel Lopez.
    Closes: #731709
  * Fix usage of config/packages.chroot/*.deb that has been broken by the
    switch to GnuPG2 by default by no longer using GnuPG but relying
    on APT's trusted=yes attribute instead.
    Thus we no longer have remaining key in /etc/apt/trusted.gpg
    after building. Closes: #816204
  * Try to reuse /isolinux/splash.png in default grub configuration.
  * Drop debian/source/{local-options,options} as they are no longer needed.
  * Pass components to debootstrap --second-stage. Closes: #806782
    Thanks to Sjoerd Simons <sjoerd.simons@collabora.co.uk> for the patch.
  * Fix behaviour of (undocumented) "#nif" conditional test. Closes: #801379
    Thanks to Erik Cumps <erik.cumps@esaturnus.com> for the patch.
  * Export SOURCE_DATE_EPOCH when running chroot commands. Closes: #832998
    Thanks to Chris Lamb <lamby@debian.org> for the patch.
  * Set xorriso's "modification time" to SOURCE_DATE_EPOCH. Closes: #831379
    Thanks to Chris Lamb <lamby@debian.org> for the patch.
  * Support “lb config --debootstrap-script <script>” to use an alternate
    bootstrap script when running debootstrap. Thanks to Sjoerd Simons
    <sjoerd@debian.org> for the initial patch. Closes: #790033
  * Manual pages updates by jnqnfe. Closes: #774730
  * Drop left-over translation files for removed lb_testroot command.
  * Get rid of useless bootstrap_archive-keys script. Closes: #773775
  * Drop an optimization in chroot_archives that has undesired side-effects.
    Thanks to jnqnfe for the patch. Closes: #775989 
  * Drop gpgv and debian-keyring from Suggests.
  * Fix Check_installed function when checking against host. Thanks to jnqnfe
    for the report. Closes: #774807
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8.
  * Use a grub theme that integrates reasonably well with the current
    background picture.
  * Default for LB_UNION_FILESYSTEM is now "overlay" just like in live-boot.
  * Update the way we generate the version of live-build that is displayed by
    lb --version.
  * Instead of renaming kernel for syslinux, create hardlinks.
  * Simplify grub configuration code to use only long kernel names. Put
    advanced options in a submenu. Use distro-agnostic labels.

  [ Kristian Klausen ]
  * Include ext{3,4} journal size when calculating image size. Closes: #801712
  * Switch d-i.debian.org URIs from http to https. Closes: #809699
  * Fix typo in binary_syslinux. Closes: #818916
  * Correct syslinux/extlinux mbr.bin path. Closes: #773833

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 02 Dec 2016 23:33:45 +0100

live-build (1:20151215) unstable; urgency=medium

  * QA Upload.

  [ Carlos Zuferri ]
  * Adding missing file extension to hdd images.

  [ Adrian Gibanel Lopez ]
  * Multi bootloader support.
  * loopback.cfg support in the GRUB setup.

  [ Maximilian Mehnert ]
  * force link creation when diverting flash-kernel.
  * Old BIOS: start partition at specific place.
  * scripts/build/binary_hdd:
   - Fix code style.

  [ Carlos Zuferri ]
  * Using 'Live Systems Project' as default project in .pot files.

  [ trebmuh ]
  * Update French translation for manpages.

  [ Ben Armstrong ]
  * Remove 586 flavour for i386 architecture. (Closes: #807972)

  [ Iain R. Learmonth ]
  * Changing to native source format
  * debian/control:
   - Change maintainer to QA Group.
   - Updated Homepage and Vcs-* fields.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 15 Dec 2015 14:20:44 +0000

live-build (5.0~a11-2) unstable; urgency=low

  * Removing myself from uploaders, lost trust in Debian (#804315).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Nov 2015 13:04:24 +0100

live-build (5.0~a11-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Getting rid of hard-coded release numbers and using /etc/os-release
    instead (Closes: #790860).
  * Updating stat calls to also give the right result in container setups,
    thanks to Kristian Klausen <klausenbusk@hotmail.com> (Closes:
    #789300).

  [ Maximilian Mehnert ]
  * Correct syslinux mbr.bin path.

  [ Daniel Baumann ]
  * Wrap and sort debian control file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Aug 2015 10:57:38 +0200

live-build (5.0~a10-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting typos in chroot_hooks.

  [ Raphaël Hertzog ]
  * Do not pass an empty version in APT::FTPArchive::Release::Version
    (Closes: #789800).
  * Drop elilo from list of d-i required packages on i386.

  [ Daniel Reichelt ]
  * Fix check for presence of chroot hooks
  * Fix hook scripts location in Makefile

  [ Daniel Baumann ]
  * Simplify hooks pattern in Makefile.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Aug 2015 19:35:24 +0200

live-build (5.0~a9-1) unstable; urgency=low

  * Splitting non-live specific hooks into their own subdirectory within
    hooks.
  * Installing apt and dpkg updates (if any) first in derivatives mode,
    then doing dist-upgrade.
  * Correcting symlinking of hooks in lb config.
  * Correcting execution of local binary hooks.
  * Correcting execution of local source hooks.


## live-build 20170213

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 LANGUAGES = $(shell cd manpages/po && ls)
 
-SCRIPTS = bin/* frontends/cgi/live-build-cgi frontends/cgi/live-build-cgi.cron functions/* examples/auto/* examples/hooks/* scripts/*.sh scripts/*/* share/bin/* share/hooks/*
+SCRIPTS = frontend/* functions/* examples/auto/* examples/hooks/* scripts/*.sh scripts/*/* share/bin/* share/hooks/*/*
 
 all: build
 
@@ -40,19 +40,20 @@
 install:
 	# Installing shared data
 	mkdir -p $(DESTDIR)/usr/share/live/build
-	cp -r frontends/cgi data functions templates VERSION $(DESTDIR)/usr/share/live/build
+	cp -r data functions $(DESTDIR)/usr/share/live/build
+	sed -e 's/.*(\(.*\)).*/\1/; q' debian/changelog >$(DESTDIR)/usr/share/live/build/VERSION
 	cp -r share/* $(DESTDIR)/usr/share/live/build
 
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/bin
-	cp -a bin/* $(DESTDIR)/usr/bin
+	cp -a frontend/* $(DESTDIR)/usr/bin
 
 	mkdir -p $(DESTDIR)/usr/lib/live
 	cp -a scripts/* $(DESTDIR)/usr/lib/live
 
 	# Installing documentation
 	mkdir -p $(DESTDIR)/usr/share/doc/live-build
-	cp -r COPYING docs/* examples $(DESTDIR)/usr/share/doc/live-build
+	cp -r COPYING examples $(DESTDIR)/usr/share/doc/live-build
 
 	# Installing manpages
 	for MANPAGE in manpages/en/*; \

=== debian/changelog ===
live-build (1:20170213) unstable; urgency=medium

  * Drop the versatile kernel flavour on armel. It's no longer built since
    Linux 4.9.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 13 Feb 2017 16:58:00 +0100

=== debian/control ===
Source: live-build
Section: misc
Priority: optional
Maintainer: Debian Live <debian-live@lists.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends:
 debhelper (>= 10),
Standards-Version: 3.9.8
Homepage: https://debian-live.alioth.debian.org/live-build/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-build.git
Vcs-Git: https://anonscm.debian.org/git/debian-live/live-build.git

Package: live-build
Architecture: all
Depends:
 debootstrap,
 ${misc:Depends},
Recommends:
 apt-utils,
 cpio,
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
 wget,
Description: Live System Build Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-build contains the components to build a live system from a configuration
 directory.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/live-build

	# Update VERSION file
	echo $(DEB_VERSION) >debian/live-build/usr/share/live/build/VERSION

	# Removing unused files
	rm -f debian/live-build/usr/share/doc/live-build/COPYING

override_dh_link:
	# workaround dh_link conversion of absolute symlinks to relative symlinks
	dh_link -X.c32 -Xisolinux.bin -Xpxelinux.0

## live-build 20180618

=== debian/changelog ===
live-build (1:20180618) unstable; urgency=medium

  * ONIE: make lb clean remove the ONIE binary.
  * Avoid apt-key add and just drop the custom user-supplied apt key in
    /etc/apt/trusted.gpg.d. Note that this requires the key to be in
    armored ASCII format - which is usually the default anyway.
  * UEFI: parse vendor from Grub package metadata if available, and use
    it in the EFI partition directory layout instead of always using
    "debian" (which is still the default fallback).
  * Bump Standards-Version to 4.1.4, no changes.

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Jun 2018 12:02:55 +0100

live-build (1:20180411) unstable; urgency=medium

  * ONIE: Check_package in the host, not the chroot
  * ONIE: missing dependency on file
  * ONIE: add Recommends for programs needed by binary_onie
  * Print an error and exit if a host package (dependency) is missing.
  * Reconfigure bootstrapped packages after preseeding.

 -- Luca Boccassi <bluca@debian.org>  Wed, 11 Apr 2018 12:35:19 +0100

live-build (1:20180328) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Restore i386/amd64 autodetection in grub after rename of
    i386 kernel from -486 to -686. Closes: #884585
    Thanks to Adrian Gibanel Lopez for the patch.
  * Fix handling of multiple kernels in binary_loopback_cfg.
    Closes: #884588 Thanks to Adrian Gibanel Lopez for the patch.
  * Rework failsafe entries in grub configuration to be more
    consistent with the i386/amd64 autodetection entries.
    Closes: #884591 Thanks to Adrian Gibanel Lopez for the patch.
  * Add e2fsprogs to Suggests along with mtd-utils, parted. Closes: #887278
  * Fix Check_package invocation in binary_hdd for ntfs-3g
    (/sbin/mkfs.nfts -> /sbin/mkfs.ntfs)
  * Run mksquashfs with nice -n 19 to not overload the system.
    Thanks to Ronny Standtke for the patch. (Closes: #867539)

  [ Luca Boccassi ]
  * Fix build with local offline mirrors (Closes: #891206)

  [ Rohan Garg ]
  * Simplify bootstrapping of foreign architectures with qemu-debootstrap
    (Closes: #847919)

  [ Steven Shiau ]
  * Add grub-based UEFI boot support for ARM64 (Closes: #885692)

  [ Luca Boccassi ]
  * UEFI: add minimal grub.cfg to fat32 partition (Closes: #892406)
  * UEFI: add support for Secure Boot on amd64 and arm64 (Closes: #821084)
  * UEFI: use uppercase EFI directory name for Tianocore
  * Add NEWS file to warn users about change of live-boot mount paths
  * Add options to build ONIE images
  * Add Acquire::AllowInsecureRepositories to fix apt-secure in sid
  * Use HTTPS in debian/copyright (policy 4.0.0).
  * Bump Standards-Version to 4.1.3.
  * Add myself to Uploaders.

 -- Luca Boccassi <bluca@debian.org>  Wed, 28 Mar 2018 20:20:46 +0100

live-build (1:20171207) unstable; urgency=medium

  * Use $SOURCE_DATE_EPOCH when updating timestamps of manual pages in order
    to make the package reproducible at build time. Closes: #879169
    Thanks to Chris Lamb <lamby@debian.org> for the patch.
  * Accept kernels without initrd. Closes: #878430
    Thanks to Balint Reczey <balint.reczey@canonical.com> for the patch.
  * Fix the way the .disk/mkisofs file is created. Closes: #881941
    Thanks to Daniel Reichelt <debian@nachtgeist.net> for the patch.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 07 Dec 2017 20:29:59 +0100

live-build (1:20170920) unstable; urgency=medium

  * Auto-update version strings in manual pages.
  * Update default value of PREPARER to correct the embedded URL.
  * Pass --partscan to losetup to clean up partition devices lingering
    from former operations. Closes: #865586
    Thanks to Matthijs Kooijman <matthijs@stdin.nl> for the patch.
  * Fix multiple issues with LB_BUILD_WITH_CHROOT=false. Closes: #873513
    Thanks to Matthijs Kooijman <matthijs@stdin.nl> for the patch.
  * Fix size calculation when we use FAT filesystems that do not support
    hardlinks. Closes: #873640
    Thanks to Matthijs Kooijman <matthijs@stdin.nl> for the patch.
  * Replace "kirkwood" and "orion5x" armel flavors with the new
    "marvell" (as done by the linux source package since its version 4.4).

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 20 Sep 2017 10:01:42 +0200

live-build (1:20170829) unstable; urgency=medium

  * Add .disk/mkisofs file recording the xorriso command line. Thanks
    to Thomas Schmitt <scdbackup@gmx.net> for the suggestion.
  * Initialize /etc/default/locale with LANG=C.UTF-8 so that we always
    have a valid UTF-8 locale even when we don't have the "locales"
    package installed.
  * Drop all references to live-systems.org. Closes: #859290
  * Update copyright file.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 29 Aug 2017 14:16:49 +0200

live-build (1:20170807) unstable; urgency=medium

  * Add keyboard shortcut on the "Advanced options" syslinux menu entry.
    Closes: #864386 Thanks to Daniel Reichelt <debian@nachtgeist.net>
    for the patch.
  * Drop the --hardlinks option from xorriso command line call. It's not
    needed to avoid duplication of files since this is a native feature
    of the IS0 filesystem. cf https://bugs.kali.org/view.php?id=4109
    for a discussion about this.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 07 Aug 2017 17:29:04 +0200

=== debian/control ===
Source: live-build
Section: misc
Priority: optional
Maintainer: Debian Live <debian-live@lists.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper (>= 10),
 po4a,
 gettext,
Standards-Version: 4.1.4
Homepage: https://debian-live.alioth.debian.org/live-build/
Vcs-Browser: https://salsa.debian.org/live-team/live-build
Vcs-Git: https://salsa.debian.org/live-team/live-build.git

Package: live-build
Architecture: all
Depends:
 debootstrap,
 ${misc:Depends},
Recommends:
 apt-utils,
 bzip2,
 cpio,
 file,
 live-boot-doc,
 live-config-doc,
 live-manual-html | live-manual,
 wget,
 xz-utils,
Suggests:
 e2fsprogs,
 parted,
 mtd-utils,
Description: Live System Build Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-build contains the components to build a live system from a configuration
 directory.

## live-build 20180925~bpo9+1

=== debian/changelog ===
live-build (1:20180925~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Oct 2018 11:59:37 +0100

live-build (1:20180925) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Handle includes.chroot files installed over symlinked directories

  [ Marcel Partap ]
  * copy keys to /etc/apt/trusted.gpg.d with appropriate extension for
    them to not be ignored.

  [ Steven Shiau ]
  * Use gcd{x64.aa64}.efi.signed for amd64/arm64 arch.

  [ Luca Boccassi ]
  * UEFI: remove the EFI/debian/grub.cfg, not necessary anymore
  * Build-Depend on debhelper >= 10~ to facilitate backports.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.2.1.
  * lintian: override error on dependency on e2fsprogs

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Sep 2018 14:28:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Raphaël Hertzog <hertzog@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 10~),
  po4a,
  gettext,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://debian-live.alioth.debian.org/live-build/
 Vcs-Browser: https://salsa.debian.org/live-team/live-build
 Vcs-Git: https://salsa.debian.org/live-team/live-build.git
